Validate a query
- POST also GET /{index}/_validate/query
- POST also GET /_validate/query
Validates a query without running it.
Query parameters
-
allow_no_indicesboolean · default: true -
If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices. -
all_shardsboolean · default: false -
If
true, the validation is executed on all shards instead of one random shard per index. -
analyzerstring -
Analyzer to use for the query string. This parameter can only be used when the
qquery string parameter is specified. -
default_operator· default: or -
The default operator for query string query:
andoror. -
Values:
andANDorOR -
dfstring -
Field to use as default where no field prefix is given in the query string. This parameter can only be used when the
qquery string parameter is specified. -
expand_wildcardsstring · default: open -
Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
explainboolean · default: false -
If
true, the response returns detailed information if an error has occurred. -
If
false, the request returns an error if it targets a missing or closed index. -
lenientboolean · default: false -
If
true, format-based query failures (such as providing text to a numeric field) in the query string will be ignored.
Request body
-
queryQuery -
Query in the Lucene query string syntax.